package cn.edu.whu.boot.allocation.controllers.dtos;

public class ImageWithUrl {
    private Integer id;

    private String  url;

    private Double minLon;

    private Double minLat;

    private Double maxLon;

    private Double maxLat;

    public ImageWithUrl()
    {
    }

    public ImageWithUrl(Integer id , String url , Double minLon , Double minLat , Double maxLon , Double maxLat)
    {
        this.id = id;
        this.url = url;
        this.minLon = minLon;
        this.minLat = minLat;
        this.maxLon = maxLon;
        this.maxLat = maxLat;
    }

    public Integer getId()
    {
        return id;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    public Double getMinLon()
    {
        return minLon;
    }

    public void setMinLon(Double minLon)
    {
        this.minLon = minLon;
    }

    public Double getMinLat()
    {
        return minLat;
    }

    public void setMinLat(Double minLat)
    {
        this.minLat = minLat;
    }

    public Double getMaxLon()
    {
        return maxLon;
    }

    public void setMaxLon(Double maxLon)
    {
        this.maxLon = maxLon;
    }

    public Double getMaxLat()
    {
        return maxLat;
    }

    public void setMaxLat(Double maxLat)
    {
        this.maxLat = maxLat;
    }
}
